checkConvergence {bamp} | R Documentation

## Check apc object, whether MCMC has converged

### Description

This functions uses Gelman and Rubin's R to check convergence for all main parameters. All parameters should have R<1.1. `bamp` runs at least four MCMC chains by default (more if parallel is more than four).

### Usage

    checkConvergence(x, info = FALSE, level = 2, auto = FALSE)

### Arguments

`x` | An apc object
`info` | logical; print more information
`level` | level of check; 1 uses point point estimation, 2 uses upper C.I.
`auto` | logical; should be TRUE if called automatically from `bamp` #'

### Value

logical; TRUE if check is fine.

### Examples

    ## Not run:
    data(apc)
    model <- bamp(cases, population, age="rw1", period="rw1", cohort="rw1", periods_per_agegroup = 5)
    checkConvergence(model)

    ## End(Not run)

[Package bamp version 2.0.7 Index]